## nwchem 6.0

=== contrib/mov2asc/Makefile ===
# Makefile for movecs <--> ASCII translators
# $Id: Makefile,v 1.8 2006-03-17 23:02:59 edo Exp $

# Tested on KSR, Cray-T3D
# Requires NWCHEM_TARGET to be set.
# Requires NWChem includes and library for MA (in libnwcutil.a)

ifeq ($(NWCHEM_TARGET),CRAY-T3D) # (must run on MPP not host)
   FFLAGS = -Wf"-dp" -Wp"-F" -Ccray-t3d 
endif

ifeq ($(NWCHEM_TARGET),CRAY-T3E)
   FFLAGS = -O 1 -d p -F
   FC     = f90
endif

ifeq ($(NWCHEM_TARGET),LINUX)
   FFLAGS = -fno-second-underscore
endif
ifeq ($(NWCHEM_TARGET),LINUX64)
  ifeq ($(FC),gfortran)
   FFLAGS = -fdefault-integer-8
  else
#   FFLAGS = -i8
   FFLAGS =
  endif	
endif

ifeq ($(NWCHEM_TARGET),KSR)
   FFLAGS = -r8
endif

ifeq ($(NWCHEM_TARGET),IBM)
   FFLAGS = -qEXTNAME
endif

ifeq ($(NWCHEM_TARGET),IBM)
   CPPFLAGS = -WF,"-I../../src/tools/include"		# Needs MA includes
else
   CPPFLAGS = -I../../src/tools/include			# Needs MA includes
endif
LDFLAGS = -L../../src/tools/lib/${NWCHEM_TARGET} -lma -larmci	# Needs MA library
ifeq ($(USE_MPI),y)
LDFLAGS += -L${MPI_LIB} ${LIBMPI}
LDFLAGS += -L../../lib/${NWCHEM_TARGET} -lnwcutil
endif

all:    mov2asc asc2mov

mov2asc:	mov2asc.o
	${FC} ${FFLAGS} ${CPPFLAGS} -o $@ $^ ${LDFLAGS} 

asc2mov:	asc2mov.o
	${FC} ${FFLAGS} ${CPPFLAGS} -o $@ $^ ${LDFLAGS} 


clean realclean:
	$(RM) *.o mov2asc asc2mov



%.o:	%.F
	$(FC) -c $(FFLAGS) $(CPPFLAGS) $<

%.o:	%.f
	$(FC) -c $(FFLAGS) $<

%.o:	%.c
	$(CC) -c $(CPPFLAGS) $(CFLAGS) $<

=== debian/changelog ===
nwchem (6.0-2) unstable; urgency=low

  * debian/control (Description): Overhaul, specifying the various NWChem
    features.
  * debian/nwchem.links: Renamed to...
  * debian/nwchem-data.links: ... this.
  * debian/nwchem-data.links: Added a symlink for the pseudo-potential
    library.
  * debian/nwchem-data.dirs: New file. 
  * debian/testsuite: Add some more tests.
  * debian/control (Build-Depends): Added mpi-default-dev. 
  * debian/rules (USE_MPI, USE_MPIF, LIBMPI, MPI_LIB, MPI_INCLUDE): New
    variables.
  * debian/rules (CCSDTQ): New variable, gets set if DEB_BUILD_OPTIONS
    includes "ccsdtq".
  * debian/rules (override_dh_auto_build): Do not touch stamp file. 
  * debian/nwchem.install: Do not ship the programmer's manual for now. 
  * debian/rules (override_dh_auto_test): Do not abort build on testsuite
    failures. 
  * debian/control (Build-Depends): Added libblas-dev, liblapack-dev,
    libscalapack-mpi-dev and libblacs-mpi-dev,. 
  * debian/rules (HAS_BLAS, BLASOPT, USE_SCALAPACK, SCALAPACK, BLACS): New
    variables.
  * debian/patches/02_makefile_flags.patch: New patch, force gfortran defaults
    to all applicable architectures.
  * debian/control (Build-Depends): Added mpi-default-bin.
  * debian/control (nwchem/Depends): Added mpi-default-bin.
  * debian/rules (override_dh_clean): Remove src/tools/lib and QA/scratchdir
    directories as well.
  * debian/rules: Include /usr/share/mpi-default-dev/debian_defaults.
  * debian/rules (SCALAPACK, BLACS): Use $(ARCH_DEFAULT_MPI_IMPL) variable to
    specify library names.

 -- Michael Banck <mbanck@debian.org>  Wed, 28 Sep 2011 00:28:20 +0200

nwchem (6.0-1) unstable; urgency=low

  * Initial upload (Closes: #598728).

 -- Michael Banck <mbanck@debian.org>  Mon, 25 Apr 2011 10:15:12 +0200

=== debian/control ===
Source: nwchem
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 7.0.50~), mpi-default-dev, mpi-default-bin, gfortran, libblas-dev, liblapack-dev, libscalapack-mpi-dev, libblacs-mpi-dev, csh, texlive-latex-base
Standards-Version: 3.9.1
Homepage: http://www.nwchem-sw.org
#Vcs-Git: git://git.debian.org/collab-maint/nwchem.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/nwchem.git;a=summary

Package: nwchem
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nwchem-data (= ${source:Version}), mpi-default-bin
Description: High-performance computational chemistry software
 NWChem aims to provide its users with computational chemistry tools that are
 scalable both in their ability to treat large scientific computational
 chemistry problems efficiently, and in their use of available parallel
 computing resources from high-performance parallel supercomputers to
 conventional workstation clusters.  
 .
 NWChem software can handle:
 .
  * Biomolecules, nanostructures, and solid-state 
  * From quantum to classical, and all combinations
  * Gaussian basis functions or plane-waves
  * Scaling from one to thousands of processors
  * Properties and relativity
 .
 Feautures include:
  * Electronic structure methods:
   - Restricted/unrestricted or restricted open-shell Hartree-Fock (RHF, UHF,
     ROHF), including analytical gradients
   - Density Functional Theory (DFT) using many local, non-local (gradient-
     corrected) or hybrid (local, non-local, and HF) exchange-correlation
     potentials, including analytical gradients
   - Second-order Moeller-Plesset pertubation theory (MP2), including
     analytical gradients and resolution of the identity integral approximation
     MP2 (RI-MP2), using RHF and UHF reference
   - Complete active space SCF (CASSCF), including analytical gradients
   - Coupled cluster singles and doubles, triples or pertubative triples and
     quadruples (CCSD, CCSDT, CCSD(T), CCSDTQ), with RHF reference, including
     analyical gradients for closed-shell CCSD 
   - Unrestricted configuration interaction theory (CISD, CISDT, and CISDTQ)
   - Unrestricted iterative many-body perturbation theory (MBPT(2), MBPT(3),
     MBPT(4))
   - Equation-of-motion (EOM)-CCSD, EOM-CCSDT, EOM-CCSDTQ and
     Configuration-Interaction singles (CIS), time-dependent HF (TDHF), TDDFT,
     for excited states with RHF, UHF, RDFT, or UDFT reference
   - Ground- and excited states in the iterative second-order model CC2
   - Geometry optimization including transition state searches, contstraints
     and minimum energy paths, as well as vibrational frequencies
   - Hybrid calculations using the two- and three-layer ONIOM method
   - Solvatisation using the Conductor-like screening model (COSMO) for RHF,
     ROHF and DFT
   - Relativistic effects via spin-free and spin-orbit one-electron
     Douglas-Kroll and zeroth-order regular approximations (ZORA) and
     one-electron spin-orbit effects for DFT via spin-orbit potentials
  * Pseudopotential plane-wave electronic structure calculations:
   - Conjugate gradient and limited memory BFGS minimization
   - Car-Parrinello (extended Lagrangian dynamics)
   - Constant energy and constant temperature Car-Parrinello simulations
   - Fixed atoms in cartesian and SHAKE constraints in Car-Parrinello
   - Pseudopotential libraries
   - Vosko and PBE96 exchange-correlation potentials (spin-restricted and
     unrestricted)
   - Hamann and Troullier-Martins norm-conserving pseudopotentials with
     optional semicore corrections
   - Automated wavefunction initial guess, now with LCAO
   - Orthorhombic simulation cells with periodic and free space boundary
     conditions.
   - Modules to convert between small and large plane-wave expansions
   - Interface to DRIVER, STEPPER, and VIB modules
   - Polarization through the use of point charges
   - Mulliken, point charge, DPLOT (wavefunction, density and electrostatic
     potential plotting) analysis
  * Classical molecular dynamics:
   - Single configuration energy evaluation, energy minimization and molecular
     dynamics simulation
   - Free energy simulation (multistep thermodynamic perturbation (MSTP) or
     multiconfiguration thermodynamic integration (MCTI) methods with options of
     single and/or dual topologies, double wide sampling, and separation-
     shifted scaling)
   - Force fields including effective pair potentials (AMBER, GROMOS, CHARMM),
     first order polarization, self consistent polarization, smooth particle
     mesh Ewald (SPME), periodic boundary conditions and SHAKE constraints
  * Mixed quantum-classical:
   - Mixed quantum-mechanics and molecular-mechanics (QM/MM) minimizations and
     molecular dynamics simulations 
   - Quantum molecular dynamics simulation by using any of the quantum
     mechanical methods capable of returning gradients.
   
Package: nwchem-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: High-performance computational chemistry software
 NWChem aims to provide its users with computational chemistry tools that are
 scalable both in their ability to treat large scientific computational
 chemistry problems efficiently, and in their use of available parallel
 computing resources from high-performance parallel supercomputers to
 conventional workstation clusters.  
 .
 This package contains the basis sets, pseudo-potentials and AMBER/CHARMM 
 parameter files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

DEB_HOST_ARCH_BITS := $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)

include /usr/share/mpi-default-dev/debian_defaults

ifeq ($(DEB_HOST_ARCH_BITS),64)
export NWCHEM_TARGET=LINUX64
else
export NWCHEM_TARGET=LINUX
endif
export NWCHEM_TOP=$(CURDIR)
export NWCHEM_MODULES=all
export NWCHEM_EXECUTABLE=${NWCHEM_TOP}/bin/${NWCHEM_TARGET}/nwchem
export NWCHEM_BASIS_LIBRARY=${NWCHEM_TOP}/src/basis/libraries/
export LARGE_FILES=TRUE
export FC=gfortran
export USE_MPI="y"
export USE_MPIF="y"
export LIBMPI=-lmpi
export MPI_LIB=/usr/lib
export MPI_INCLUDE=/usr/include/mpi
ifneq (,$(filter ccsdtq,$(DEB_BUILD_OPTIONS)))
export CCSDTQ="yes"
endif
export HAS_BLAS="yes"
export BLASOPT=-lblas -llapack
export USE_SCALAPACK="yes"
export SCALAPACK=-lscalapack-$(ARCH_DEFAULT_MPI_IMPL)
export BLACS=-lblacs-$(ARCH_DEFAULT_MPI_IMPL) -lblacsCinit-$(ARCH_DEFAULT_MPI_IMPL)

%:
	dh $@ 

override_dh_auto_build:
	mkdir -p $(CURDIR)/bin/${NWCHEM_TARGET}
	(cd $(CURDIR)/doc && make pdf)
	(cd $(CURDIR)/src && make nwchem_config)
	(cd $(CURDIR)/src/util && make version)
	(cd $(CURDIR)/src && make)
	(cd $(CURDIR)/src/util && make)
	(cd $(CURDIR)/src && make link)

override_dh_auto_clean:
	dh_testdir
	(cd $(CURDIR)/src && make realclean)
	(cd $(CURDIR)/doc && make realclean)
	rm -rf $(CURDIR)/bin $(CURDIR)/lib $(CURDIR)/src/tools/lib 
	rm -rf $(CURDIR)/QA/scratchdir $(CURDIR)/QA/testoutputs
	rm -f src/util/util_version.F src/stubs.F
	dh_auto_clean

export RUNTESTS=$(CURDIR)/QA/runtests.unix 

override_dh_auto_test:
	dh_testdir
	-(cd $(CURDIR)/QA && ../debian/testsuite)

## nwchem 6.1

=== contrib/mov2asc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile for movecs <--> ASCII translators
-# $Id: Makefile,v 1.8 2006-03-17 23:02:59 edo Exp $
+# $Id: Makefile 21752 2012-01-11 22:23:19Z d3y133 $
 
 # Tested on KSR, Cray-T3D
 # Requires NWCHEM_TARGET to be set.
@@ -35,14 +35,14 @@
 endif
 
 ifeq ($(NWCHEM_TARGET),IBM)
-   CPPFLAGS = -WF,"-I../../src/tools/include"		# Needs MA includes
+   CPPFLAGS = -WF,"-I../../src/tools/install/include"		# Needs MA includes
 else
-   CPPFLAGS = -I../../src/tools/include			# Needs MA includes
+   CPPFLAGS = -I../../src/tools/install/include			# Needs MA includes
 endif
-LDFLAGS = -L../../src/tools/lib/${NWCHEM_TARGET} -lma -larmci	# Needs MA library
+LDFLAGS = -L../../src/tools/install/lib -lga -larmci	# Needs MA library
 ifeq ($(USE_MPI),y)
-LDFLAGS += -L${MPI_LIB} ${LIBMPI}
 LDFLAGS += -L../../lib/${NWCHEM_TARGET} -lnwcutil
+LDFLAGS += $(patsubst -L-L%,-L%,-L${MPI_LIB} ${LIBMPI} ${IB_LIB})
 endif
 
 all:    mov2asc asc2mov

=== debian/changelog ===
nwchem (6.1-6) unstable; urgency=low

  * debian/patches/02_makefile_flags.patch: Add GCC46 to defines (Closes:
    #696349).

 -- Michael Banck <mbanck@debian.org>  Tue, 25 Dec 2012 22:07:17 +0100

nwchem (6.1-5) unstable; urgency=low

  * Reverted subversion revisions 3824, 3834 and 3876. 

 -- Michael Banck <mbanck@debian.org>  Fri, 14 Dec 2012 14:44:22 +0100

nwchem (6.1-4) unstable; urgency=low

  [ Michael Banck ]
  * debian/patches/09_backported_6.1.1_fixes.patch: New patch, backports the
    source code changes of the nwchem-6.1.1 bugfix release (Closes: #695540):
    + PW: Fixed backspace issues on file I/O that caused I/O errors.
    + DFT: Removed dummy and bq centers from the Grimme dispersion
      corrections.
    + DFT: Fixed a race condition in the density fitting code.
    + DFT: Added a check for singularities in the HCTH functionals.
    + DFT: Fixed a problem with the DFT grids which caused strange behaviors
      if the number of cores is so large that some cores do not get any grid
      points.
    + HF&DFT: Fixed rolling back to distributed memory Fock-builder if not
      enough memory is available to use the replicated data one. Previously
      the code would crash trying to use non-existing GAs.
    + HF&DFT: Fixed clashes between MPI and GA communication when using OpenIB
      which enhances the stability.
    + MP2&DFT: On systems with limited I/O capabilities some quantities like
      2-electron integrals and DFT grids are now stored in memory rather than
      on disk.
    + CASSCF: Added ga_sync to fix race conditions that can cause the Davidson
      diagonalizer to fail.
    + CASSCF: Fixed a problem with the phase in the Lagrangian that caused
      problems with the gradient evaluation.
    + RAMAN: A number of problems with static polarizabilities were fixed.
    + Property: Fixed an issue with add_patch that caused unexpected results
      with dynamic polarizabilities.
    + DRDY: Removed system calls to copy files avoiding forking from NWChem
      processes which is relatively likely to fail due to the resources
      attached to such a process.
    + Input: Fixed some issues with GEOM LOAD that caused the selection of
      centers to fail in some cases.
    + Geometry: Dummy centers are no longer removed from a geometry so that
      constraints involving those centers remain valid.
    + Memory: All shared memory (global memory region) is now allocated at the
      start.

  [ Daniel Leidert ]
  * debian/control: Added X-Python-Version.
    (Build-Depends): Added python-dev. Use texlive to fix manual build.
    (Standards-Version): Bumped to recent 3.9.3.
  * debian/nwchem.1: Added.
  * debian/nwchem.doc-base: Ditto.
  * debian/nwchem.lintian-overrides: Ditto.
  * debian/nwchem.manpages: Ditto.
  * debian/nwchem-data.lintian-overrides: Ditto.
  * debian/rules: Added PYTHONVERSION, PYTHONHOME. Enable parallel building.
    (NWCHEM_MODULES): Build with python support (pnnl).
  * debian/patches/02_makefile_flags.patch: Adjusted.
    - src/config/makefile.h: Fix linker flags building with python support.

 -- Michael Banck <mbanck@debian.org>  Thu, 13 Sep 2012 14:35:37 +0200

nwchem (6.1-3) unstable; urgency=low

  * debian/testsuite: Removed cosmo_trichloroethene, as it takes much longer
    than the others tests and does not provide any obvious additional coverage
    compared to cosmo_h2o.
  * debian/control (Description): Overhauled.
  * debian/control (Build-Depends): Switch from texlive-latex-base to
    texlive-latex-recommended (Closes: #666315).

 -- Michael Banck <mbanck@debian.org>  Sat, 31 Mar 2012 12:04:19 +0200

nwchem (6.1-2) unstable; urgency=low

  * debian/patches/05_avoid_inline_assembler.patch: New patch, avoids the
    inlining of assembler on architectures other than i386 and amd64.
  * debian/patches/02_makefile_flags.patch: Updated to also set peigs/DEFS to
    useful values, avoids unconditional use of ifort as fortran compiler on
    ia64. 
  * debian/patches/06_statfs_kfreebsd.patch: New patch, fixes header files for
    statfs definitions on kfreebsd-*.
  * debian/patches/07_ga_target_force_linux.patch: New patch, forces the
    Global Arrays TARGET variable to LINUX on s390*. 
  * debian/patches/08_lapack_constants_headers.patch: New patch, fixes
    platform definitions so that the lapack symbols get defined.

 -- Michael Banck <mbanck@debian.org>  Sat, 11 Feb 2012 19:38:26 +0100

nwchem (6.1-1) unstable; urgency=low

  * New upstream release.

  [ Michael Banck ]
  * debian/patches/02_makefile_flags.patch: Updated.
  * debian/patches/02_makefile_flags.patch: Use internal blas and lapack code.
  * debian/patches/02_makefile_flags.patch: Define GCC4 for LINUX and LINUX64
    (Closes: #632611 and LP: #791308).
  * debian/control (Build-Depends): Added openssh-client.
  * debian/rules (USE_SCALAPACK, SCALAPACK): Removed variables (Closes:
    #654658).
  * debian/rules (LIBDIR, USE_MPIF4, ARMCI_NETWORK): New variables.
  * debian/TODO: New file.
  * debian/control (Build-Depends): Removed libblas-dev, liblapack-dev and
    libscalapack-mpi-dev.
  * debian/patches/04_show_testsuite_diff_output.patch: New patch, shows the
    diff output for failed tests.
  * debian/patches/series: Adjusted.
  * debian/testsuite: Optionally run all tests if "all" is passed as option.
  * debian/rules: Run debian/testsuite with "all" if DEB_BUILD_OPTIONS
    contains "checkall".

  [ Daniel Leidert ]
  * debian/control: Used wrap-and-sort. Added Vcs-Svn and Vcs-Browser fields.
    (Priority): Moved to extra according to policy section 2.5.
    (Standards-Version): Bumped to 3.9.2.
    (Description): Fixed a typo.
  * debian/watch: Added.
  * debian/patches/03_hurd-i386_define_path_max.patch: Added.
    - Define MAX_PATH if not defines to fix FTBFS on hurd.
  * debian/patches/series: Adjusted.

 -- Michael Banck <mbanck@debian.org>  Thu, 09 Feb 2012 20:02:41 +0100

=== debian/control ===
Source: nwchem
Section: science
Priority: extra
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: csh,
               openssh-client,
               debhelper (>= 7.0.50~),
               gfortran,
               libblacs-mpi-dev,
               mpi-default-bin,
               mpi-default-dev,
               texlive-latex-recommended
Standards-Version: 3.9.2
Homepage: http://www.nwchem-sw.org
Vcs-Browser: http://svn.debian.org/wsvn/debichem/unstable/nwchem/
Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/nwchem/

Package: nwchem
Architecture: any
Depends: mpi-default-bin,
         nwchem-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: High-performance computational chemistry software
 NWCHem is a computational chemistry program package.  It provides methods
 which are scalable both in their ability to treat large scientific
 computational chemistry problems efficiently, and in their use of available
 parallel computing resources from high-performance parallel supercomputers to
 conventional workstation clusters.
 .
 NWChem can handle:
 .
  * Molecular electronic structure methods using gaussian
    basis functions for high-accuracy calculations of molecules
  * Pseudopotentials plane-wave electronic structure methods for calculating
    molecules, liquids, crystals, surfaces, semi-conductors or metals
  * Ab-initio and classical molecular dynamics simulations
  * Mixed quantum-classical simulations
  * Parallel scaling to thousands of processors
 .
 Features include:
  * Molecular electronic structure methods, analytic second derivatives:
   - Restricted/unrestricted Hartree-Fock (RHF, UHF)
   - Restricted Density Functional Theory (DFT) using many local,
     non-local (gradient-corrected) or hybrid (local, non-local, and HF)
     exchange-correlation potentials
  * Molecular electronic structure methods, analytic gradients:
   - Restricted open-shell Hartree-Fock (ROHF)
   - Unrestricted Density Functional Theory (DFT)
   - Second-order Moeller-Plesset perturbation theory (MP2), using RHF and UHF
     reference
   - Complete active space SCF (CASSCF)
  * Molecular electronic structure methods, single-point energies:
   - MP2 with resolution of the identity integral approximation (RI-MP2), using 
     RHF and UHF reference
   - Coupled cluster singles and doubles, triples or pertubative triples (CCSD,
     CCSDT, CCSD(T)), with RHF and UHF reference
   - Configuration interaction (CISD, CISDT, and CISDTQ)
   - Second-order approximate coupled-cluster singles doubles (CC2)
  * Further molecular electronic structure features:
   - Geometry optimization including transition state searches, constraints
     and minimum energy paths
   - Vibrational frequencies
   - Equation-of-motion (EOM)-CCSD, EOM-CCSDT, EOM-CCSD(T), CC2, 
     Configuration-Interaction singles (CIS), time-dependent HF (TDHF) and
     TDDFT, for excited states with RHF, UHF, RDFT, or UDFT reference
   - Solvatisation using the Conductor-like screening model (COSMO) for RHF,
     ROHF and DFT
   - Hybrid calculations using the two- and three-layer ONIOM method
   - Relativistic effects via spin-free and spin-orbit one-electron
     Douglas-Kroll and zeroth-order regular approximations (ZORA) and
     one-electron spin-orbit effects for DFT via spin-orbit potentials
  * Pseudopotential plane-wave electronic structure:
   - Pseudopotential Plane-Wave (PSPW), Projector Augmented Wave (PAW) or band
     structure methods for calculating molecules, liquids, crystals, surfaces,
     semi-conductors or metals
   - Geometry/unit cell optimization including transition state searches
   - Vibrational frequencies
   - LDA, PBE96, and PBE0 exchange-correlation potentials (restricted and
     unrestricted)
   - SIC, pert-OEP, Hartree-Fock, and hybrid functionals (restricted and
     unrestricted)
   - Hamann, Troullier-Martins and Hartwigsen-Goedecker-Hutter norm-conserving
     pseudopotentials with semicore corrections
   - Wavefunction, density, electrostatic and Wannier plotting
   - Band structure and density of states generation
  * Car-Parrinello ab-initio molecular dynamics:
   - Constant energy and constant temperature dynamics
   - Verlet algorithm for integration
   - Geometry constraints in cartesian coordinates
  * Classical molecular dynamics:
   - Single configuration energy evaluation
   - Energy minimization 
   - Molecular dynamics simulation
   - Free energy simulation (multistep thermodynamic perturbation (MSTP) or
     multiconfiguration thermodynamic integration (MCTI) methods with options of
     single and/or dual topologies, double wide sampling, and separation-
     shifted scaling)
   - Force fields providing effective pair potentials, first order
     polarization, self consistent polarization, smooth particle mesh Ewald
     (SPME), periodic boundary conditions and SHAKE constraints
  * Mixed quantum-classical:
   - Mixed quantum-mechanics and molecular-mechanics (QM/MM) minimizations and
     molecular dynamics simulations
   - Quantum molecular dynamics simulation by using any of the quantum
     mechanical methods capable of returning gradients.

Package: nwchem-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: High-performance computational chemistry software (data files)
 NWCHem is a computational chemistry program package.  It provides methods
 which are scalable both in their ability to treat large scientific
 computational chemistry problems efficiently, and in their use of available
 parallel computing resources from high-performance parallel supercomputers to
 conventional workstation clusters.
 .
 This package contains the basis sets, pseudopotentials and AMBER/CHARMM
 parameter files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

DEB_HOST_ARCH_BITS := $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)

ifneq (,$(filter checkall,$(DEB_BUILD_OPTIONS)))
export RUN_ALL_TESTS ="yes"
endif

include /usr/share/mpi-default-dev/debian_defaults

ifeq ($(DEB_HOST_ARCH_BITS),64)
export NWCHEM_TARGET=LINUX64
#export USE_SCALAPACK_I8="yes"
#export BLAS_SIZE=4
else
export NWCHEM_TARGET=LINUX
#export USE_SCALAPACK="yes"
endif
export NWCHEM_TOP=${CURDIR}
export NWCHEM_MODULES=all
export LIBDIR=${NWCHEM_TOP}/lib/${NWCHEM_TARGET}
export LARGE_FILES=TRUE
export FC=gfortran
export USE_MPI="y"
export USE_MPIF="y"
export USE_MPIF4="y"
export LIBMPI=-lmpi
export MPI_LIB=/usr/lib
export MPI_INCLUDE=/usr/include/mpi
ifneq (,$(filter ccsdtq,$(DEB_BUILD_OPTIONS)))
export CCSDTQ="yes"
endif
export HAS_BLAS="yes"
export BLASOPT=-lblas -llapack
#export SCALAPACK=-lscalapack-$(ARCH_DEFAULT_MPI_IMPL)
export BLACS=-lblacs-$(ARCH_DEFAULT_MPI_IMPL) -lblacsCinit-$(ARCH_DEFAULT_MPI_IMPL)
export ARMCI_NETWORK=SOCKETS

%:
	dh $@ 

override_dh_auto_build:
	mkdir -p $(CURDIR)/bin/${NWCHEM_TARGET}
	(cd $(CURDIR)/doc && make pdf)
	(cd $(CURDIR)/src && NWCHEM_TOP=$(CURDIR) make nwchem_config)
	(cd $(CURDIR)/src/util && make version)
	(cd $(CURDIR)/src && make)
	(cd $(CURDIR)/src/util && make)
	(cd $(CURDIR)/src && make link)

override_dh_auto_clean:
	dh_testdir
	-(cd $(CURDIR)/src && make realclean)
	-(cd $(CURDIR)/doc && make realclean)
	rm -rf $(CURDIR)/bin $(CURDIR)/lib $(CURDIR)/src/tools/lib 
	rm -rf $(CURDIR)/QA/scratchdir $(CURDIR)/QA/testoutputs
	rm -f src/util/util_version.F src/stubs.F
	find $(CURDIR) -name "*.stamp" | xargs rm -f
	dh_auto_clean

export RUNTESTS=$(CURDIR)/QA/runtests.unix 
export NWCHEM_EXECUTABLE=${NWCHEM_TOP}/bin/${NWCHEM_TARGET}/nwchem
export NWCHEM_BASIS_LIBRARY=${NWCHEM_TOP}/src/basis/libraries/
export NWCHEM_NWPW_LIBRARY=${NWCHEM_TOP}/src/nwpw/libraryps/

override_dh_auto_test:
	dh_testdir
	-(cd $(CURDIR)/QA && if [ "$(RUN_ALL_TESTS)" = "yes" ]; then \
	   ../debian/testsuite all; else ../debian/testsuite; fi)

=== debian/watch ===
version=3
http://www.nwchem-sw.org/index.php/Download /images/Nwchem-([\d.]+)\.tar\.gz

## nwchem 6.3

=== debian/changelog ===
nwchem (6.3-3) unstable; urgency=low

  * debian/patches/02_makefile_flags.patch: Remove most warnings from C/Fortran
    flags in order to reduce the build log size.
  * debian/patches/10_force_gcc-4.7.patch: Adjusted.

 -- Michael Banck <mbanck@debian.org>  Mon, 08 Jul 2013 17:28:04 +0200

nwchem (6.3-2) unstable; urgency=low

  [ Michael Banck ]
  * debian/control (Description): Updated.
  * debian/patches/09_backported_6.1.1_fixes.patch: Removed, no longer needed.
  * debian/patches/11_fix_armci_locks.patch: New patch, defines SPINLOCK as
    locking strategy, fixes build failures on arm*, mips* and s390*.
  * debian/patches/12_pythonlib_multiarch_path.patch: New patch, adjusts the
    python library path to account for multiarch.
  * debian/patches/02_makefile_flags.patch: Do not set -m64 for 64bit targets,
    and harmonize C/Fortran options.  Refresh patch 10_force_gcc-4.7.patch
    accordingly.
  * debian/patches/02_makefile_flags.patch: Added -lz to libraries required for
    linking libpython.
  * debian/testsuite: Added test for python interface.
  * debian/control (Build-Depends): Added zlib1g-dev.
  * debian/rules (override_dh_auto_build): Do not make version.

  [ Daniel Leidert ]
  * debian/control: Added X-Python-Version.
    (Build-Depends): Added python-dev. Use texlive to fix manual build.
    (Standards-Version): Bumped to recent 3.9.3.
  * debian/nwchem.1: Added.
  * debian/nwchem.doc-base: Ditto.
  * debian/nwchem.lintian-overrides: Ditto.
  * debian/nwchem.manpages: Ditto.
  * debian/nwchem-data.lintian-overrides: Ditto.
  * debian/rules: Added PYTHONVERSION, PYTHONHOME. Enable parallel building.
    (NWCHEM_MODULES): Build with python support (pnnl).
  * debian/patches/02_makefile_flags.patch: Adjusted.
    - src/config/makefile.h: Fix linker flags building with python support.

 -- Michael Banck <mbanck@debian.org>  Mon, 08 Jul 2013 03:11:26 +0200

nwchem (6.3-1) unstable; urgency=low

  * New upstream release.
  * Fixes anisotropic properties (Closes: #696361).
  * New features include:
    + Multi-reference coupled cluster (MRCC) approaches
    + Hybrid DFT calculations with short-range HF 
    + New density-functionals including Minnesota (M08, M11) and HSE hybrid
      functionals
    + X-ray absorption spectroscopy (XAS) with TDDFT
    + Analytical gradients for the COSMO solvation model
    + Transition densities from TDDFT 
    + DFT+U and Electron-Transfer (ET) methods for plane wave calculations
    + Exploitation of space group symmetry in plane wave geometry optimizations
    + Local density of states (LDOS) collective variable added to Metadynamics
    + Various new XC functionals added for plane wave calculations, including
      hybrid and range-corrected ones
    + Electric field gradients with relativistic corrections 
    + Nudged Elastic Band optimization method
    + Updated basis sets and ECPs 

  [ Daniel Leidert ]
  * debian/watch: Fixed.

  [ Andreas Tille ]
  * debian/upstream: References

  [ Michael Banck ]
  * debian/upstream (Name): New field.
  * debian/patches/02_makefile_flags.patch: Refreshed.
  * debian/patches/06_statfs_kfreebsd.patch: Likewise.
  * debian/patches/07_ga_target_force_linux.patch: Likewise.
  * debian/patches/05_avoid_inline_assembler.patch: Removed, no longer needed.
  * debian/patches/09_backported_6.1.1_fixes.patch: Likewise.
  * debian/control (Build-Depends): Added gfortran-4.7 and gcc-4.7.
  * debian/patches/10_force_gcc-4.7.patch: New patch, explicitly sets
    gfortran-4.7 and gcc-4.7, fixes test suite hang with gcc-4.8 (Closes:
    #701328, #713262).
  * debian/testsuite: Added tests for COSMO analytical gradients and MRCC.
  * debian/rules (MRCC_METHODS): New variable, required to enable MRCC methods.

 -- Michael Banck <mbanck@debian.org>  Thu, 04 Jul 2013 12:14:55 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,18 @@
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Michael Banck <mbanck@debian.org>
 Build-Depends: csh,
-               openssh-client,
                debhelper (>= 7.0.50~),
-               gfortran,
+               gfortran-4.7,
+               gcc-4.7,  
                libblacs-mpi-dev,
                mpi-default-bin,
                mpi-default-dev,
-               texlive-latex-recommended
-Standards-Version: 3.9.2
+               openssh-client,
+               python-dev,
+               texlive,
+               zlib1g-dev
+Standards-Version: 3.9.3
+X-Python-Version: current
 Homepage: http://www.nwchem-sw.org
 Vcs-Browser: http://svn.debian.org/wsvn/debichem/unstable/nwchem/
 Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/nwchem/
@@ -23,7 +27,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Description: High-performance computational chemistry software
- NWCHem is a computational chemistry program package.  It provides methods
+ NWChem is a computational chemistry program package.  It provides methods
  which are scalable both in their ability to treat large scientific
  computational chemistry problems efficiently, and in their use of available
  parallel computing resources from high-performance parallel supercomputers to
@@ -52,21 +56,24 @@
      reference
    - Complete active space SCF (CASSCF)
   * Molecular electronic structure methods, single-point energies:
-   - MP2 with resolution of the identity integral approximation (RI-MP2), using 
+   - MP2 with resolution of the identity integral approximation (RI-MP2), using
      RHF and UHF reference
    - Coupled cluster singles and doubles, triples or pertubative triples (CCSD,
      CCSDT, CCSD(T)), with RHF and UHF reference
    - Configuration interaction (CISD, CISDT, and CISDTQ)
    - Second-order approximate coupled-cluster singles doubles (CC2)
+   - State-specific multireference coupled cluster methods (MRCC) (Brillouin-Wigner
+     (BW-MRCC) and Mukherjee (Mk-MRCC) approaches)
   * Further molecular electronic structure features:
    - Geometry optimization including transition state searches, constraints
-     and minimum energy paths
+     and minimum energy paths (via the Nudged Elastic Band (NEB) and Zero
+     Temperature String methods)
    - Vibrational frequencies
-   - Equation-of-motion (EOM)-CCSD, EOM-CCSDT, EOM-CCSD(T), CC2, 
+   - Equation-of-motion (EOM)-CCSD, EOM-CCSDT, EOM-CCSD(T), CC2,
      Configuration-Interaction singles (CIS), time-dependent HF (TDHF) and
      TDDFT, for excited states with RHF, UHF, RDFT, or UDFT reference
    - Solvatisation using the Conductor-like screening model (COSMO) for RHF,
-     ROHF and DFT
+     ROHF and DFT, including analytical gradients
    - Hybrid calculations using the two- and three-layer ONIOM method
    - Relativistic effects via spin-free and spin-orbit one-electron
      Douglas-Kroll and zeroth-order regular approximations (ZORA) and
@@ -85,13 +92,13 @@
      pseudopotentials with semicore corrections
    - Wavefunction, density, electrostatic and Wannier plotting
    - Band structure and density of states generation
-  * Car-Parrinello ab-initio molecular dynamics:
+  * Car-Parrinello ab-initio molecular dynamics (CPMD):
    - Constant energy and constant temperature dynamics
    - Verlet algorithm for integration
    - Geometry constraints in cartesian coordinates
-  * Classical molecular dynamics:
+  * Classical molecular dynamics (MD):
    - Single configuration energy evaluation
-   - Energy minimization 
+   - Energy minimization
    - Molecular dynamics simulation
    - Free energy simulation (multistep thermodynamic perturbation (MSTP) or
      multiconfiguration thermodynamic integration (MCTI) methods with options of
@@ -110,7 +117,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: High-performance computational chemistry software (data files)
- NWCHem is a computational chemistry program package.  It provides methods
+ NWChem is a computational chemistry program package.  It provides methods
  which are scalable both in their ability to treat large scientific
  computational chemistry problems efficiently, and in their use of available
  parallel computing resources from high-performance parallel supercomputers to

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,9 @@
 #export USE_SCALAPACK="yes"
 endif
 export NWCHEM_TOP=${CURDIR}
-export NWCHEM_MODULES=all
+export NWCHEM_MODULES="pnnl"
+export PYTHONVERSION=$(shell pyversions -dv)
+export PYTHONHOME=$(shell python-config --prefix)
 export LIBDIR=${NWCHEM_TOP}/lib/${NWCHEM_TARGET}
 export LARGE_FILES=TRUE
 export FC=gfortran
@@ -33,6 +35,7 @@
 ifneq (,$(filter ccsdtq,$(DEB_BUILD_OPTIONS)))
 export CCSDTQ="yes"
 endif
+export MRCC_METHODS=y
 export HAS_BLAS="yes"
 export BLASOPT=-lblas -llapack
 #export SCALAPACK=-lscalapack-$(ARCH_DEFAULT_MPI_IMPL)
@@ -40,13 +43,12 @@
 export ARMCI_NETWORK=SOCKETS
 
 %:
-	dh $@ 
+	dh $@ --parallel
 
 override_dh_auto_build:
 	mkdir -p $(CURDIR)/bin/${NWCHEM_TARGET}
 	(cd $(CURDIR)/doc && make pdf)
 	(cd $(CURDIR)/src && NWCHEM_TOP=$(CURDIR) make nwchem_config)
-	(cd $(CURDIR)/src/util && make version)
 	(cd $(CURDIR)/src && make)
 	(cd $(CURDIR)/src/util && make)
 	(cd $(CURDIR)/src && make link)

=== debian/watch ===
version=3
opts=filenamemangle=s/.*(Nwchem-[\d.]+.*?\.tar\.gz)/$1/g \
http://www.nwchem-sw.org/index.php/Download .*Nwchem-([\d.]+).*?\.tar\.gz

## nwchem 6.3+r1

=== contrib/mov2asc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile for movecs <--> ASCII translators
-# $Id: Makefile 21752 2012-01-11 22:23:19Z d3y133 $
+# $Id: Makefile 23136 2012-11-21 18:50:12Z d3y133 $
 
 # Tested on KSR, Cray-T3D
 # Requires NWCHEM_TARGET to be set.
@@ -41,9 +41,16 @@
 endif
 LDFLAGS = -L../../src/tools/install/lib -lga -larmci	# Needs MA library
 ifeq ($(USE_MPI),y)
-LDFLAGS += -L../../lib/${NWCHEM_TARGET} -lnwcutil
-LDFLAGS += $(patsubst -L-L%,-L%,-L${MPI_LIB} ${LIBMPI} ${IB_LIB})
+  LDFLAGS += -L../../lib/${NWCHEM_TARGET} -lnwcutil
+  ifneq ($(MPI_LIB),)
+    LDFLAGS += $(patsubst -L-L%,-L%,-L${MPI_LIB})
+  endif
+  ifneq ($(LIBMPI),)
+    LDFLAGS += ${LIBMPI}
+  endif
 endif
+COMM_LIBS=  $(shell grep ARMCI_NETWORK_LIBS\ = ${NWCHEM_TOP}/src/tools/build/Makefile | cut -b 22-)
+LDFLAGS += $(COMM_LIBS)
 
 all:    mov2asc asc2mov

=== debian/changelog ===
nwchem (6.3+r1-1build1) trusty; urgency=medium

  * No change rebuild against libopenmpi 1.6.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 22 Dec 2013 03:27:27 +0000

nwchem (6.3+r1-1) unstable; urgency=low

  * New upstream release.

  [ Daniel Leidert ]
  * debian/control (Vcs-Browser, Vcs-Svn): Fixed vcs-field-not-canonical.
    (Build-Depends): Added autotools-dev. Added version for python dependency
    for dh_python2 addon.
    (Standards-Version): Bumped to 3.9.4.
    (Description): Fixed extended-description-line-too-long.
  * debian/rules: Run dh with autotools_dev and python2 addons.
  * debian/watch: Updated to catch revision releases.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Sun, 04 Aug 2013 11:20:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,26 @@
 Source: nwchem
 Section: science
 Priority: extra
-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Michael Banck <mbanck@debian.org>
-Build-Depends: csh,
+Build-Depends: autotools-dev (>> 20100122.1),
+               csh,
                debhelper (>= 7.0.50~),
+               gcc-4.7,
                gfortran-4.7,
-               gcc-4.7,  
                libblacs-mpi-dev,
                mpi-default-bin,
                mpi-default-dev,
                openssh-client,
-               python-dev,
+               python-dev (>= 2.6.6-3~),
                texlive,
                zlib1g-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 X-Python-Version: current
 Homepage: http://www.nwchem-sw.org
-Vcs-Browser: http://svn.debian.org/wsvn/debichem/unstable/nwchem/
-Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/nwchem/
+Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/nwchem/
+Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/nwchem/
 
 Package: nwchem
 Architecture: any
@@ -56,14 +58,14 @@
      reference
    - Complete active space SCF (CASSCF)
   * Molecular electronic structure methods, single-point energies:
-   - MP2 with resolution of the identity integral approximation (RI-MP2), using
-     RHF and UHF reference
-   - Coupled cluster singles and doubles, triples or pertubative triples (CCSD,
-     CCSDT, CCSD(T)), with RHF and UHF reference
+   - MP2 with resolution of the identity integral approximation (RI-MP2),
+     using RHF and UHF reference
+   - Coupled cluster singles and doubles, triples or pertubative triples
+     (CCSD, CCSDT, CCSD(T)), with RHF and UHF reference
    - Configuration interaction (CISD, CISDT, and CISDTQ)
    - Second-order approximate coupled-cluster singles doubles (CC2)
-   - State-specific multireference coupled cluster methods (MRCC) (Brillouin-Wigner
-     (BW-MRCC) and Mukherjee (Mk-MRCC) approaches)
+   - State-specific multireference coupled cluster methods (MRCC)
+     (Brillouin-Wigner (BW-MRCC) and Mukherjee (Mk-MRCC) approaches)
   * Further molecular electronic structure features:
    - Geometry optimization including transition state searches, constraints
      and minimum energy paths (via the Nudged Elastic Band (NEB) and Zero
@@ -101,8 +103,8 @@
    - Energy minimization
    - Molecular dynamics simulation
    - Free energy simulation (multistep thermodynamic perturbation (MSTP) or
-     multiconfiguration thermodynamic integration (MCTI) methods with options of
-     single and/or dual topologies, double wide sampling, and separation-
+     multiconfiguration thermodynamic integration (MCTI) methods with options
+     of single and/or dual topologies, double wide sampling, and separation-
      shifted scaling)
    - Force fields providing effective pair potentials, first order
      polarization, self consistent polarization, smooth particle mesh Ewald

=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,7 @@
 export ARMCI_NETWORK=SOCKETS
 
 %:
-	dh $@ --parallel
+	dh $@ --with autotools_dev,python2 --parallel
 
 override_dh_auto_build:
 	mkdir -p $(CURDIR)/bin/${NWCHEM_TARGET}
